
body {
    padding-bottom: 40px;
    background: white;
    color: #333;
}

p {
    line-height: 1.435em;
    text-align: justify;
    margin: .7em 0 1em 0;
    
    font-family: sans-serif;
    font-size: 1.3em;
    -webkit-font-smoothing: antialiased;
}

code { border: 1px solid #ddd; }

.bio { margin-top: 10px; }

.bio p {
    font-size: 1em;
    line-height: 1.2em;
}

.masthead .brand { 
    float: left; display: inline; margin-left: 30px;  
}

.masthead { 
    clear: both; display: block; height: 50px; margin-right: 30px; padding-top: 20px; 
}

.muted { 
    color: #ccc; 
}

#outer { 
    min-height: 100%; position: absolute;  width: 100%; 
}

#main {
    min-height: 100%;
    position:relative;
    padding-bottom: 50px;
}

.footerpad {
    display: block;
    height: 50px;
}

#footer { 
    background: black; 
    color: white;
    position:absolute;
    overflow: hidden;
    bottom:0;
    width:100%;
    padding: 0;
    margin: 0;
    min-height: 260px;
    font-size: 100%;
    line-height: 100%;
    height: 260px;
    position: absolute;
}

.tagcloud { line-height: 120%; }

.tag_1 { font-size: 80%; }
.tag_2 { font-size: 100%; }
.tag_3 { font-size: 110%; }
.tag_4 { font-size: 120%; }
.tag_5 { font-size: 130%; font-weight: bold; }




.footer p { 
    color: white; 
} 

#contents {
    overflow: auto;
    padding-bottom:220px;   /* Height of the footer */
}

#contents .entry { margin-left: 7%; max-width: 90%; width: 80%; }

.shortentries { margin-top: 80px; }

#disqus_thread { margin-top: 80px; }

h1 a { color: #000; }

h1 {
    font-family: acta-display, Georgia, Times, serif; 
    font-size: 200%;
    color: #333;
    font-weight: normal;
    margin-top: 1em;
    margin-left: -10px;
}

h2 { font-size: 160%; }

h3 { font-size: 140%; }

.navbar {
    float: right;
    display: inline;
}

.navbar .navbar-inner {
    padding: 0;
}

.navbar .nav {
    margin: 0;
    display: table;
}

.navbar .nav li {
    display: table-cell;
    float: none;
}

.navbar .nav li a {
    font-weight: bold;
    text-align: center;
    border-left: 1px solid rgba(255,255,255,.75);
    border-right: 1px solid rgba(0,0,0,.1);
}


img.inline {
    margin: 10px;
    box-shadow: 0px 0px 5px #444;
}

.float {
    float: left;
    margin: 10px;
    margin-left: 20px;
    margin-right: 20px;
}

.floatr {
    float: right;
    margin: 20px;
}

.centre {
    margin: 30px;
    margin-left: 30%;
    margin-right: 30%;
}

.caption {
    margin-left: 0px;
    font-size: 10px;
    color: #444;
    font-style: italic;
    text-align: center;
}

.frame {
    padding: 10px;
    border: 1px outset #ccc;
}


@media (max-width: 767px) {

    body { margin: 0; padding: 0; }
    h1   { font-size: 2em; }
    
    #contents p { 
        font-size: 1em; 
        margin: .3em 0 .5em 0;
        line-height: 1.4em;
    }

    #outer { margin-left: -20px; }
    #main  { margin: 0; left: 0; padding:0; }

    .masthead .brand { margin-left: 15px; }
    .masthead { margin-right: 25px; padding-top: 10px; height: 30px; }

    .navbar .nav li a {
        font-size: 0.8em;
    }

    #contents .entry { margin-left: 3%; width: 90%; }
    #footer { position: relative; height: auto; }
    .footer { padding-left: 10px; padding-bottom: 30px; }
}


svg { margin-left: 2%; min-width: 600px; max-width: 85%;
}


/* Dark "theme" */

.darktheme {
    float: right;
    font-weight: bold;
}

body.dark {
    background: rgb(10,10,10);
    color: #ddd;
}

.dark h1 a { color: white; }

.dark h1 { color: #ccc; }
.dark .contents h2,.dark .contents h3, .dark .contents h4 { background: #112; padding: 4px; padding-left: 20px; margin-top: 40px; width: 90%; }

.dark .caption { color: #888; }

.dark .muted {
    color: #444;
}

.dark code { background: #222; border: none; }
.dark pre code { background: none; }

